Skip to content

Perform various operations on wire receiver FI information records.

Operations

getWireReceiverFiInfoSelectFields

POST

Retrieves wire receiver financial institution information with selected fields

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
WireReceiverFiInfoLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/wire/getWireReceiverFiInfoSelectFields
POST /nexum/627/persistent/wire/getWireReceiverFiInfoSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "WireReceiverFiInfoLocator": 0,
  "SelectableFields": {
    "IncludeAllWireReceiverFiInfoFields": true,
    "WireReceiverFiInfoFields": {
      "Locator": true,
      "Text": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getWireReceiverFiInfoPagedListSelectFields

POST

Retrieves a paged list of wire receiver financial institution information with selected fields

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/wire/getWireReceiverFiInfoPagedListSelectFields
POST /nexum/627/persistent/wire/getWireReceiverFiInfoPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllWireReceiverFiInfoFields": true,
    "WireReceiverFiInfoFields": {
      "Locator": true,
      "Text": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchWireReceiverFiInfoPagedSelectFields

POST

Searches for wire receiver financial institution information paged with selected fields

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/persistent/wire/searchWireReceiverFiInfoPagedSelectFields
POST /nexum/627/persistent/wire/searchWireReceiverFiInfoPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllWireReceiverFiInfoFields": true,
    "WireReceiverFiInfoFields": {
      "Locator": true,
      "Text": [
        0
      ]
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateWireReceiverFiInfoByID

POST

Updates receiver FI information for a wire by ID

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
WireReceiverFiInfoLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/wire/updateWireReceiverFiInfoByID
POST /nexum/627/persistent/wire/updateWireReceiverFiInfoByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "WireReceiverFiInfoLocator": 0,
  "WireReceiverFiInfoFields": {
    "Locator": 0,
    "Text": [
      {
        "EntryId": 0,
        "Text": "string"
      }
    ]
  },
  "nxAttributes": {
    "customFields": {}
  }
}